package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.LessonPlansDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LessonPlansDOMapper {

    void insert(LessonPlansDO lessonPlansDO);

    LessonPlansDO selectById(Integer id);

    List<LessonPlansDO> findLessonPlansByStudentId(@Param("ids") List<Integer> ids);

    LessonPlansDO selectByLessonId(@Param("lessonId") Integer lessonId);

    List<LessonPlansDO> selectByStudentId(@Param("studentId") Integer studentId);
}